Bug 396741 - Notification text gets longer with every screenshot
Summary: Notification text gets longer with every screenshot
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Notifications (show other bugs)
Version: 5.13.3
Platform: Other Linux
: NOR normal
Target Milestone: 1.0
Assignee: Kai Uwe Broulik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-21 20:22 UTC by ByteHamster
Modified: 2018-07-23 15:10 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.12.7


Attachments
First screenshot and fourth screenshot (124.45 KB, image/png)
2018-07-21 20:22 UTC, ByteHamster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ByteHamster 2018-07-21 20:22:44 UTC
Created attachment 114062 [details]
First screenshot and fourth screenshot

When taking the first screenshot, the text in the notification is "Screenshot was saved as x in y."

When taking another screenshot, Spectacle creates a second notification with the text "Screenshot was saved as x in y. Screenshot was saved as z in a."

I would expect that the second notification only references the second screenshot. If you keep taking screenshots, the message of the notification gets longer and longer (see attached screenshots).

If you wait a few minutes, the text of a new notification is short again (if you scroll down, the text of the other notifications is still long).

Using version 18.04.3 on Arch Linux (not possible to select that version in the "version" field)
Comment 1 null 2018-07-21 23:10:38 UTC
Thanks for the report, can confirm.

See also https://phabricator.kde.org/D11203.
Comment 2 Kai Uwe Broulik 2018-07-23 07:05:32 UTC
We probably should disable notification grouping if notification has thumbnails attached to it.
Comment 3 Kai Uwe Broulik 2018-07-23 08:49:54 UTC
Git commit c221f6315808a5c1287dcb095ad5043e49e9e4c0 by Kai Uwe Broulik.
Committed on 23/07/2018 at 08:49.
Pushed by broulik into branch 'Plasma/5.12'.

[Notifications Engine] Never group notifications with URLs

We don't merge URLs and it probably doesn't make sense with the way grouping is currently implemented.
FIXED-IN: 5.12.7

Differential Revision: https://phabricator.kde.org/D14287

M  +1    -1    dataengines/notifications/notificationsengine.cpp

https://commits.kde.org/plasma-workspace/c221f6315808a5c1287dcb095ad5043e49e9e4c0